.cc-window, .cmp-body {
 font-family: ui-sans-serif, system-ui, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol', 'Noto Color Emoji'; 
}

/* General banner styles */
.cc-window {
  gap: 1rem;
  overflow: hidden;
  background-color: rgb(10 10 10 / 0.9);
  padding: 1rem;
  backdrop-filter: blur(40px);
}
@media (min-width: 768px) {
  .cc-window {
    align-items: center;
    padding-top: 0.125rem;
    padding-bottom: 0.125rem;
  }
}
.cc-window .cc-message-container {
  flex: 1 1 0%;
}
.cc-window .cc-message-container .cc-message {
  margin: 0px;
  padding: 0px;
  font-size: 0.875rem;
  line-height: 1.25rem;
  line-height: 1.25;
}
.cc-window .cc-message-container .cc-message .cc-link {
  padding: 0px;
  line-height: 1.25;
}
.cc-window .cc-compliance {
  display: flex;
  flex-wrap: wrap;
  -moz-column-gap: 0.125rem;
       column-gap: 0.125rem;
  row-gap: 1rem;
}
@media (min-width: 768px) {
  .cc-window .cc-compliance {
    flex-wrap: nowrap;
  }
}
.cc-window .cc-compliance .cc-btn + .cc-btn {
  margin: 0px !important;
}
.cc-window .cc-btn,
.cc-window .cc-link {
  font-size: 0.875rem;
  line-height: 1.25rem;
  font-weight: 400;
}
.cc-window .cc-btn {
  flex: 1 1 0%;
  padding-left: 1rem;
  padding-right: 1rem;
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
}
.cc-window .cc-btn:hover {
  background-color: rgb(255 255 255 / 0.1) !important;
}
.cc-window .cc-btn.cc-allow,
.cc-window .cc-type-opt-out .cc-btn.cc-dismiss {
  background-color: rgb(22 101 52 / 1) !important;
}
.cc-window .cc-btn.cc-allow:hover,
.cc-window .cc-type-opt-out .cc-btn.cc-dismiss:hover {
  background-color: rgb(20 83 45 / 1) !important;
}
.cc-window .cc-link.cmp-pref-link {
  order: -9999 !important;
  margin: 0px !important;
}
@media (min-width: 768px) {
  .cc-window .cc-link.cmp-pref-link {
    order: 9999 !important;
    padding: 1rem !important;
  }
}
.cc-window .cc-link.cmp-pref-link {
  height: auto;
  width: 100%;
  line-height: 1;
}
.cc-window .cc-link.cmp-pref-link svg {
  height: 0.875rem;
  width: auto;
}

/* Floating banner */
@media (min-width: 768px) {
  .cc-window.cc-floating {
    border: 1px solid #393939;
    border-radius: 10px;
  }
  .cc-window.cc-floating .cc-compliance {
    row-gap: 0;
  }
  .cc-window.cc-floating .cc-link.cmp-pref-link {
    justify-content: center;
  }
  .cc-window.cc-floating {
    align-items: stretch;
  }
}

/* Popup */
.cmp-body {
  background-color: rgb(29 29 29 / 0.6);
}

.cmp-body .cmp-modal {
  font-weight: 400;
}
.cmp-body .cmp-modal p {
  color: rgb(223 223 223 / 1);
}
.cmp-body .cmp-modal .cmp-modal__sub-title {
  font-size: 0.875rem;
  line-height: 1.25rem;
}
.cmp-body .cmp-modal .cmp-tabs__opt-out.active,
.cmp-body .cmp-modal .cmp-tabs__gpc-message.active {
  border-radius: 0.25rem;
  border-style: none;
  background-color: rgb(255 255 255 / 0.05);
  font-size: 0.875rem;
  line-height: 1.25rem;
}
.cmp-body .cmp-modal .cmp-switch input:checked + .cmp-switch__slider::after {
  transform: translateX(31px);
}
.cmp-body .cmp-modal .cmp-tabs {
  margin-top: 0px;
}
.cmp-body .cmp-modal .cmp-tabs .cmp-tabs__nav {
  margin-bottom: 1rem;
}
.cmp-body .cmp-modal .cmp-modal__header {
  margin-bottom: 0px;
}
.cmp-body .cmp-modal .cmp-modal__header .cmp-modal__logo,
.cmp-body .cmp-modal .cmp-modal__header .cmp-modal__logo img {
  width: 4rem;
  height: 4rem;
  min-width: 0px;
}
.cmp-body .cmp-modal .cmp-modal__header .cmp-modal__title {
  font-size: 1.5rem;
  line-height: 2rem;
}
.cmp-body .cmp-modal .cmp-accordion > .cmp-accordion__item {
  border-bottom-width: 1px;
  border-bottom-color: rgb(255 255 255 / 0.1);
}
.cmp-body .cmp-modal .cmp-accordion > .cmp-accordion__item > .cmp-accordion__header::before {
  pointer-events: none;
  position: absolute;
  left: -1rem;
  right: -1rem;
  top: 0px;
  bottom: 0px;
  border-radius: 0.25rem;
  content: '';
  transition-property: color, background-color, border-color, text-decoration-color, fill, stroke;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 150ms;
}
.cmp-body .cmp-modal .cmp-accordion > .cmp-accordion__item > .cmp-accordion__header:hover::before {
  content: '';
  background-color: rgb(255 255 255 / 0.05);
}
.cmp-body .cmp-modal .cmp-accordion > .cmp-accordion__item > .cmp-accordion__header a {
  padding: 0px;
}
.cmp-body .cmp-modal .cmp-accordion > .cmp-accordion__item > .cmp-accordion__header a:hover {
  text-decoration-line: underline;
}
.cmp-body .cmp-modal .cmp-accordion > .cmp-accordion__item > .cmp-accordion__header > div {
  padding: 0px;
}
.cmp-body .cmp-modal .cmp-accordion > .cmp-accordion__item > .cmp-accordion__header > div > .cmp-accordion__sub-title {
  margin-top: 0px;
  padding: 0px;
}
.cmp-body .cmp-modal .cmp-accordion > .cmp-accordion__item > .cmp-accordion__content {
  padding-left: 0px;
  padding-right: 0px;
}
.cmp-body .cmp-modal .cmp-modal__footer .cmp-btn-wrapper button.cmp-save-btn {
  border-radius: 0.25rem;
  border-style: none;
  font-size: 0.875rem;
  line-height: 1.25rem;
  background-color: rgb(250 255 105 / 1) !important;
  color: rgb(22 22 0 / 1) !important;
}
.cmp-body .cmp-modal .cmp-modal__footer .cmp-btn-wrapper button.cmp-save-btn:hover {
  background-color: rgb(238 244 0 / 1) !important;
}